aboutsummaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst7
1 files changed, 5 insertions, 2 deletions
diff --git a/debian/postinst b/debian/postinst
index b951d83..4306174 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -17,11 +17,14 @@ case "$1" in
db_go
db_get naskpass/activate
if [ "$RET" = "true" ]; then
- nask_activate
+ nask_activate || true
+ if [ "x${ERRMSG}" != "x" ]; then
+ echo "* ${ERRMSG}" >&2
+ nask_deactivate
+ fi
else
nask_deactivate
fi
- echo
update-initramfs -u
;;